// definitions specific to a snake
#ifndef SNAKE_H
#define SNAKE_H
#include "reptile.h"
#include "animalsBase.h" 

#define snakeTypeRattle 0
#define snakeTypeGater 1
#define snakeTypePython 2
#define snakeTypeAnaconda 3

#define isNotAmphibious 0
#define isAmphibious 1

class snakeBase : public reptileBase
{
	private:
		int snakeType;
		int amphibious;
	public:
		snakeBase();
		snakeBase(int isNocternal, int whatItEats, int isPoisonous, int canItChangeColors, int theSnakeType, int isItAmphibious);
        ~snakeBase();
        int slither(int x, int y);
        void print();
};
#endif

